<?xml version="1.0"?> 
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  version="1.0">

  <xsl:decimal-format name = "dec-form"
		      decimal-separator = "."
		      grouping-separator = "-"
		      digit = '$'
		      zero-digit = 'x' 
		      percent = 'P' />

  <xsl:template match="item" mode="format">

    <xsl:variable name="n" select="string-length(.)*2163 div 5"/>
    <xsl:variable name="f1" select="format-number($n,'#0,000.00')"/>
    <xsl:variable name="f2" select="format-number($n,'$x-xxxP','dec-form')"/>

    <xsl:choose>
      <xsl:when test="$f1='3,893.40'">OK14</xsl:when>
      <xsl:otherwise>FAILED14</xsl:otherwise>
    </xsl:choose>

    <xsl:text>&#010;</xsl:text>

    <xsl:choose>
      <xsl:when test="$f2='389-340P'">OK15</xsl:when>
      <xsl:otherwise>FAILED15</xsl:otherwise>
    </xsl:choose>

    <xsl:text>&#010;</xsl:text>

  </xsl:template>

</xsl:stylesheet>
